package com.yida.data.school.index.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.school.EduSchoolMenu;
import com.yida.data.school.vo.index.MenuInfoVO;

import java.util.List;

/**
 * Service接口
 *
 * @author zhanghaijun
 * @date 2021-07-19 17:21:58
 */
public interface EduSchoolMenuService extends IService<EduSchoolMenu> {

    List<MenuInfoVO> listMenu(Long schoolId, Integer type);

    void saveMenu(EduSchoolMenu menu);

    void delMenuBatch(List<Long> ids);
}
